Page MenuHomePhabricator

Update UI library documentation
Closed, ResolvedPublic

Description

Mention teh new OOjs UI hotness in

  • "old" living style guide (gerrit change)
  • mediawiki.UI page
  • mediawiki.ui module doc
  • Agora (and deprecate)
  • other design pages

I already updated

  • living style guide page
  • OOjs UI

Related Objects

StatusAssignedTask
Resolved Spage
ResolvedVolker_E
OpenNone
ResolvedCapt_Swing
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
OpenVolker_E
DuplicateVolker_E
ResolvedNone
Resolved Jdlrobson
Resolved Jdlrobson
ResolvedNirzar
ResolvedVolker_E
OpenNone

Event Timeline

Spage created this task.Feb 3 2015, 3:28 AM
Spage updated the task description. (Show Details)
Spage raised the priority of this task from to Normal.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 3:28 AM
Spage claimed this task.Feb 3 2015, 5:18 PM

Mail sent to design-l.

Prateek and I updated "old" living style guide.

I worked on Wikifont. There's no information on the new ResourceLoaderImageModule beyond https://gerrit.wikimedia.org/r/#q,Ic6a76bf,n,z

Still work to do.

There's no information on the new ResourceLoaderImageModule beyond https://gerrit.wikimedia.org/r/#q,Ic6a76bf,n,z

ImageModule is still under development, figuring out how to package the icons in sets for OOjs UI.

Spage set Security to None.
Spage moved this task from Ready To Go to Doing on the ECT-February-2015 board.
Spage moved this task from Backlog to Ready To Go on the ECT-March-2015 board.Mar 3 2015, 4:50 AM
Spage moved this task from Doing to Ready To Go on the ECT-February-2015 board.Mar 3 2015, 5:41 AM

I updated pages with OOjs UI demo link, updated Wikicons, outdated some style pages while waiting for Wikimedia Design Style Guide, etc.

Spage moved this task from Ready To Go to Doing on the ECT-March-2015 board.Apr 6 2015, 10:39 AM
Qgil added a subscriber: Qgil.

This task was part of ECT-March-2015, and it is still open and assigned. Assuming that it belongs to ECT-April-2015 as well. Otherwise please edit accordingly.

Volker_E renamed this task from Update mediawiki.UI documentation to Update UI library documentation.Nov 20 2015, 12:31 AM
Volker_E moved this task from Unsorted to Current Quarterly Goals on the UI-Standardization board.
Volker_E added a subscriber: Volker_E.
Volker_E closed this task as Resolved.Jul 17 2016, 11:18 PM